
.. index::
   pair: Documentation ; bookdown
   ! bookdown

.. _bookdown:

====================
**bookdown**
====================

- https://bookdown.org/yihui/bookdown/

.. figure:: images/bookdown.png
   :align: center

Introduction
============

This short book introduces an R package, bookdown, to change your workflow
of writing books.

It should be technically easy to write a book, visually pleasant to view
the book, fun to interact with the book, convenient to navigate through
the book, straightforward for readers to contribute or leave feedback
to the book author(s), and more importantly, authors should not always
be distracted by typesetting details.

The bookdown package is built on top of **R Markdown** (http://rmarkdown.rstudio.com),
and inherits the simplicity of the Markdown syntax (you can learn the basics
in five minutes; see Section 2.1), as well as the possibility of multiple
types of output formats (PDF/HTML/Word/…).

It has also added features like multi-page HTML output, numbering and
cross-referencing figures/tables/sections/equations, inserting parts/appendices,
and imported the GitBook style (https://www.gitbook.com) to create
elegant and appealing HTML book pages.

This book itself is an example of how you can produce a book from a series
of R Markdown documents, and both the printed version and the online version
can look professional. You can find more examples at https://bookdown.org.


Despite the package name containing the word “book”, bookdown is not only
for books.

The “book” can be anything that consists of multiple R Markdown documents
meant to be read in a linear sequence, such as course handouts, study notes,
a software manual, a thesis, or even a diary.

In fact, many bookdown features apply to single R Markdown documents as
well (see Section 3.4).


Examples
==========

- https://bookdown.org/


